Python
import requests
url = "https://app.langwatch.ai/api/annotations/trace/{id}"
payload = {
"comment": "<string>",
"isThumbsUp": True,
"email": "<string>"
}
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"projectId": "<string>",
"traceId": "<string>",
"comment": "<string>",
"isThumbsUp": true,
"userId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"email": "<string>"
}Annotations
Create annotation for single trace
Create an annotation for a single trace
POST
/
api
/
annotations
/
trace
/
{id}
Python
import requests
url = "https://app.langwatch.ai/api/annotations/trace/{id}"
payload = {
"comment": "<string>",
"isThumbsUp": True,
"email": "<string>"
}
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"projectId": "<string>",
"traceId": "<string>",
"comment": "<string>",
"isThumbsUp": true,
"userId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"email": "<string>"
}Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Path Parameters
ID of the trace to annotate
Response
Annotation created
The ID of the annotation
The ID of the project
The ID of the trace
The comment of the annotation
The thumbs up status of the annotation
The ID of the user
The created at of the annotation
The updated at of the annotation
The email of the user
Was this page helpful?
⌘I